/*
 * QLogic iSCSI HBA Driver
 * Copyright (c)  2003-2011 QLogic Corporation
 *
 * See LICENSE.qla4xxx for copyright and licensing details.
 *
 * dev_name: From linux/device.h
 * Copyright (c) 2001-2003 Patrick Mochel <mochel@osdl.org>
 * Copyright (c) 2004-2009 Greg Kroah-Hartman <gregkh@suse.de>
 * Copyright (c) 2008-2009 Novell Inc.
 *
*/

#ifndef __QLAIM_KCOMPAT_H
#define __QLAIM_KCOMPAT_H
#include <linux/version.h>
#if  (RHEL_MINOR < 6)
static inline const char *dev_name(const struct device *dev)
{
	return kobject_name(&dev->kobj);
}
#endif
#endif
